# Price Quotes



Fetch current conversion rates between CAD and supported stablecoins. Use price quotes to display accurate rates to users before they initiate a transaction.

## Supported tokens [#supported-tokens]

<Tabs items="[&#x22;USDC&#x22;, &#x22;CADC&#x22;]">
  <Tab value="USDC">
    | Token       | Network         |
    | ----------- | --------------- |
    | `USDC-ETH`  | Ethereum        |
    | `USDC-POLY` | Polygon         |
    | `USDC-ARB`  | Arbitrum        |
    | `USDC-OP`   | Optimism        |
    | `USDC-BASE` | Base            |
    | `USDC-AVAX` | Avalanche       |
    | `USDC-BSC`  | BNB Smart Chain |
    | `USDC-CELO` | Celo            |
    | `USDC-SOL`  | Solana          |
    | `USDC-SX`   | SX Network      |
  </Tab>

  <Tab value="CADC">
    | Token       | Network  |
    | ----------- | -------- |
    | `CADC-ETH`  | Ethereum |
    | `CADC-POLY` | Polygon  |
    | `CADC-ARB`  | Arbitrum |
    | `CADC-BASE` | Base     |
    | `CADC-SOL`  | Solana   |
  </Tab>
</Tabs>

## Quick start [#quick-start]

### Buying stablecoins (CAD to USDC) [#buying-stablecoins-cad-to-usdc]

```bash
curl "https://api.paytrie.com/v2/quotes?leftSideLabel=CAD&leftSideValue=1000&rightSideLabel=USDC-ETH" \
  -H "x-api-key: your-api-key"
```

### Selling stablecoins (USDC to CAD) [#selling-stablecoins-usdc-to-cad]

```bash
curl "https://api.paytrie.com/v2/quotes?leftSideLabel=USDC-ETH&leftSideValue=500&rightSideLabel=CAD" \
  -H "x-api-key: your-api-key"
```

### Example response [#example-response]

```json
{
	"success": true,
	"data": {
		"quoteId": 337362,
		"leftSideLabel": "CAD",
		"leftSideValue": 1000,
		"rightSideLabel": "USDC-ETH",
		"rightSideValue": 714.5,
		"breakdown": {
			"paytrieFee": 5,
			"gasFee": 21.5,
			"gasPrice": 20,
			"usdToCad": 1.3625
		},
		"timestamp": "2026-06-18T22:42:02.974Z"
	}
}
```

<Card title="API Reference: Get Price Quote" href="/v2/api-reference/quotes/getQuotes" icon="arrow-right-left">
  View complete request parameters and response schema
</Card>

## Using quotes in transactions [#using-quotes-in-transactions]

When creating a transaction, include the `quoteId` to lock in the quoted rate:

```bash
curl -X POST "https://api.paytrie.com/v2/transactions" \
  -H "x-api-key: your-api-key" \
  -H "Authorization: Bearer user-jwt-token" \
  -H "Content-Type: application/json" \
  -d '{
    "leftSideLabel": "CAD",
    "leftSideValue": 1000,
    "rightSideLabel": "USDC-ETH",
    "wallet": "0x742d35Cc6634C0532925a3b844Bc9e7595f8bC3a",
    "quoteId": 337362
  }'
```

<Callout type="warn">
  Quote rates are time-sensitive. If too much time passes between getting a quote and creating a transaction, the rate may change.
</Callout>
